tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 30984] - Add an ability to compile JSPs to specified target JVM
Date Fri, 03 Sep 2004 10:36:14 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=30984>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=30984

Add an ability to compile JSPs to specified target JVM

drzewo@post.pl changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|RESOLVED                    |REOPENED
         Resolution|FIXED                       |



------- Additional Comments From drzewo@post.pl  2004-09-03 10:36 -------
Based on mu recent experience, javac params source and target are interrelated.
For example, the default source version for the 5.0 RC b63 is 1.5 which implies
1.5 as a target. For example using ant 1.6.2 on j2sdk1.5 (hell, cannot get used
to switching to 5.0, either can Sun, I suppose ;) the following

<javac target="1.4" ... /> 

results in:

 [javac] javac: target release 1.4 conflicts with default source release 1.5

Providing source attribute to ant's javac task forces compiler to downgrade to
1.4 sources.

<javac target="1.4" source="1.4" ... /> 

I'd be more than delighted if you could also provide the source parameter in the
same manner as you have done with the compilerTargetVM. BTW, I have no idea if
this also affects JDT.

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message